/* definitions */
$data-type-list:
	"anim-appear":"Appear",
	"anim-zoomIn":"Zoom-In",
	"anim-zoomOut":"Zoom-Out",
	"anim-fadeinTop":"Top",
	"anim-fadeinBottom":"Bottom",
	"anim-fadeinLeft":"Left",
	"anim-fadeinRight":"Right",
	"anim-turn":"360° Turn",
	"anim-turnY":"90° Turn Y",
	"anim-turnX":"90° Turn X",
	"anim-wave":"Wave"
;

$data-curve-list:
	"":"Auto",
	"anim-curve-ease":"Ease",
	"anim-curve-ease-in":"Ease-in",
	"anim-curve-ease-in-out":"Ease-in-out",
	"anim-curve-ease-out":"Ease-out",
	"anim-curve-linear":"linear",
	"anim-curve-cubic-bezier-1":"Ease-in-out back"
;

.anim-element { }

.anim-start { }

.anim-appear {
	opacity: 100;
	transition: opacity 0.3s ease-in 0s;
	
	&.anim-start {
		opacity: 0;
	}
}

/* fadein */
.anim-fadeinTop {
	position: relative;
	transform: translateY(0);
	opacity: 100;
	transition: opacity 0.3s ease-in 0s, transform 0.3s ease-in 0s;
	
	&.anim-start {
		transform: translateY(-50px);
		opacity: 0;
	}
}

.anim-fadeinBottom {
	position: relative;
	transform: translateY(0);
	opacity: 100;
	transition: opacity 0.3s ease-in 0s, transform 0.3s ease-in 0s;
	
	&.anim-start {
		transform: translateY(100px);
		opacity: 0;
	}
}

.anim-fadeinLeft {
	position: relative;
	transform: translateX(0);
	opacity: 100;
	transition: opacity 0.3s ease-in 0s, transform 0.3s ease-in 0s;
	
	&.anim-start {
		transform: translateX(-100px);
		opacity: 0;
	}
}

.anim-fadeinRight {
	position: relative;
	transform: translateX(0);
	opacity: 100;
	transition: opacity 0.3s ease-in 0s, transform 0.3s ease-in 0s;
	
	&.anim-start {
		transform: translateX(100px);
		opacity: 0;
	}
}


/* turn */
.anim-turn {
	opacity: 100;
	transform: rotate(0deg);
	transition: transform 0.5s ease-in 0s, opacity 0.5s ease 0s;
	
	&.anim-start {
		opacity: 0;
		transform: rotate(360deg);
	}
}

.anim-turnX {
	transform: rotateX(0deg);
	transition: transform 0.5s ease-in 0s;
	
	&.anim-start {
		transform: rotateX(-90deg);
	}
}

.anim-turnY {
	transform: rotateY(0deg);
	transition: transform 0.5s ease-in 0s;
	
	&.anim-start {
		transform: rotateY(-90deg);
	}
}


/* zoom */
.anim-zoomIn {
	transform: scale(1,1);
	transition: opacity 0.5s ease-in 0s, transform 0.5s ease-in 0s;
	
	&.anim-start {
		transform: scale(2,2);
	}
}

.anim-zoomOut {
	opacity: 100;
	transform: scale(1,1);
	transition: opacity 0.5s ease-in 0s, transform 0.5s ease-in 0s;
	
	&.anim-start {
		opacity: 0;
		transform: scale(0,0);
	}
}

.anim-wave {
	opacity: 100;
	transform: rotateY(0deg);
	transform-origin: 0 0 0;
	transition: opacity 0.3s ease 0s, transform 0.3ms ease 0s;
	
	&.anim-start {
		opacity: 0;
		transform: rotateY(90deg);
	}
}

/* curves */
.anim-curve-ease { 
	transition-timing-function: ease; 
}
.anim-curve-ease-in { 
	transition-timing-function: ease-in; 
}
.anim-curve-ease-in-out { 
	transition-timing-function: ease-in-out; 
}
.anim-curve-ease-out { 
	transition-timing-function: ease-out; 
}
.anim-curve-linear { 
	transition-timing-function: linear; 
}
.anim-curve-cubic-bezier-1 { 
	transition-timing-function: cubic-bezier(0.680, -0.550, 0.265, 1.550); 
}